AOZ Studio Beta - Bug #551

Tags are sometimes processed when commented.
10/21/2020 05:33 PM - Brian Flanagan

Status: Resolved Start date: 10/21/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: Beta 1

Affected version: Beta 1

Description

For example: The following works (and should NOT).

#manifest: "aoz"

'#amigaFont: "news" ' 23

Palette 0, SFFFFFF

Ink 1

Set Font "news", 23

Text 0,23,"In the beginning, God created the heavens and the earth."

Using the // or /* */ comments works though.

History

#1 - 11/17/2020 12:45 PM - Brian Flanagan
- Priority changed from Low to High
- Affected version changed from Beta RC3 to Beta 1

NOTE: They are also still processed if the double slash is used without a space before the #
NOTE: The single quote comment will still be processed event if there is a space before the #.

#2 - 11/17/2020 01:30 PM - Brian Flanagan

- Subject changed from Tags are processed when commented if single quote comment is used. to Tags are sometimes processed when commented.

Examples:
These commented tags still run, but shouldn't

//#amigaFont: "news"
'#amigaFont: "news"
' #amigaFont: "news"
/*#amigaFont: "news" */

Only these are OK:

// #amigaFont: "news"
/* #amigaFont: "news"
=/

A related error:

/*#amigaFont: "news"

*/

The close comment on the above will cause an error, since the open comment wasn't recognized properly.
#3 - 11/17/2020 03:23 PM - Francois Lionet

- Status changed from New to Resolved

- Assignee set to Francois Lionet

- Target version set to Beta 1
Fixed!
